Subject: bug#16366: 24.3.50; [PATCH] GDB Registers buffer - wrong values fontified

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 26 Jun 2019 16:55:43 +0200

Andrzej P <[email-masked]> writes:

> When stepping through a program with the GDB graphical interface, the
> values in the Registers buffer are fontified with
> 'font-lock-warning-face' on the step *after* they have changed.  It
> makes more sense to highlight changed values on each step.  I guess
> that this is a bug.
>
> To reproduce:
>
>  $ emacs -Q
>
>  M-x gdb
>
>  gdb -i=mi emacs <return> (or something suitable)
>
>  M-x gdb-display-registers-buffer
>
> In GUD buffer:
>
>  (gdb) break main
>  (gdb) run
>
> Now step by machine instructions (e.g. 'C-x C-a C-i').  The values of
> registers in the Registers buffer change but are fontified only on the
> following step.

I tried to reproduce this, but all I got was a bunch of

Breakpoint 3, main (argc=1, argv=0x7fffffffe9e8) at emacs.c:977
977	{
(gdb) Python Exception <class 'NameError'> name 'long' is not defined: 
Python Exception <class 'NameError'> name 'long' is not defined: 
Python Exception <class 'NameError'> name 'long' is not defined: 
Python Exception <class 'NameError'> name 'long' is not defined: 
(gdb) Python Exception <class 'NameError'> name 'long' is not defined: 
Python Exception <class 'NameError'> name 'long' is not defined: 
Python Exception <class 'NameError'> name 'long' is not defined: 
Python Exception <class 'NameError'> name 'long' is not defined: 
Python Exception <class 'NameError'> name 'long' is not defined: 
Python Exception <class 'NameError'> name 'long' is not defined: 
Python Exception <class 'NameError'> name 'long' is not defined: 
Python Exception <class 'NameError'> name 'long' is not defined: 

in the *gud-emacs* buffer...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no